Package org.eclipse.birt.core.script

# Class CoreJavaScriptWrapper

java.lang.Object
org.eclipse.birt.core.script.CoreJavaScriptWrapper

All Implemented Interfaces:
  `IJavascriptWrapper`

public class CoreJavaScriptWrapper extends Object implements IJavascriptWrapper

## Constructor Summary

Constructors
Constructor
Description
`CoreJavaScriptWrapper()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`wrap(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, Object javaObject, Class staticType)`
wrap an java object into javascript object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoreJavaScriptWrapper

public CoreJavaScriptWrapper()

## Method Details

### wrap

public Object wrap(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, Object javaObject, Class staticType)
Description copied from interface: `IJavascriptWrapper`
wrap an java object into javascript object. There is a list of warppers in BIRTWrapFactory, the BIRTWrapFactory will call those wrappers one by one to try to wrap the object. If the return object is different with the orginal one, it will terminate the loop.

Specified by:
  `wrap` in interface `IJavascriptWrapper`
Parameters:
  `cx` - context used to execute the wrap.
  `scope` - scope used to execute the wrap.
  `javaObject` - orignal java object
  `staticType` - hint used to wrap this object
Returns:
  return wrapped object if this interface support the class, return the orignal directly if it doesn't support such a object.